## upackddir 0.0.6-1

=== Makefile ===
CC=gcc
CCFLAGS=-g -Wall
OBJS=lists.o utils.o upackddir.o
DESTDIR=/

all: $(OBJS)
	$(CC) $(CCFLAGS) -o upackddir $(OBJS)

upackddir.o: upackddir.c
	$(CC) $(CCFLAGS) --std=c99 -c upackddir.c

.c.o:
	$(CC) $(CCFLAGS) -c -o $@ $<

clean:
	rm -f upackddir $(OBJS) tags

install:
	install -m 755 upackddir $(DESTDIR)/usr/bin/upackddir

=== debian/changelog ===
upackddir (0.0.6-1) unstable; urgency=low

  * New upstream release.
    - Remove the limit of files contained in the archive.
    - Can unpack specific files from the archive.

 -- Fabio Bonelli <fabiobonelli@libero.it>  Wed,  3 Dec 2003 00:15:26 +0100

upackddir (0.0.5-1) unstable; urgency=low

  * New upstream release.
    - Definitely works on big endian machines.

 -- Fabio Bonelli <fabiobonelli@libero.it>  Sun, 28 Sep 2003 14:56:12 +0200

upackddir (0.0.4-1) unstable; urgency=low

  * New upstream release.
    - Don't pack the output archive.
    - Fixes for endianess.

 -- Fabio Bonelli <fabiobonelli@libero.it>  Fri, 25 Jul 2003 18:45:25 +0200

upackddir (0.0.3-1) unstable; urgency=low

  * New upstream release. 

 -- Fabio Bonelli <fabiobonelli@libero.it>  Mon, 14 Jul 2003 18:57:18 +0200

upackddir (0.0.2-1) unstable; urgency=low

  * New upstream release. 

 -- Fabio Bonelli <fabiobonelli@libero.it>  Sun, 13 Jul 2003 17:18:33 +0200

upackddir (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Fabio Bonelli <fabiobonelli@libero.it>  Wed,  9 Jul 2003 15:51:36 +0200

=== debian/control ===
Source: upackddir
Section: utils
Priority: optional
Maintainer: Fabio Bonelli <fabiobonelli@libero.it>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.5.8

Package: upackddir
Architecture: i386
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Extracts and creates PackdDir files
 This program can extract and create PackdDir archives used in Quake 2.
 .
 PackdDir files are used in other proprietary games as well.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/upackddir.sgml > upackddir.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/upackddir.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/upackddir


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman upackddir.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
